Bug 123962 - usbcore mistakes pcs-phone/modem for a handspring visor/ palm
Summary: usbcore mistakes pcs-phone/modem for a handspring visor/ palm
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-22 04:08 UTC by Daniel
Modified: 2015-01-04 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:43:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log (/var/log/messages) (80.57 KB, application/x-zip-compressed)
2004-05-22 04:36 UTC, Daniel
no flags Details

Description Daniel 2004-05-22 04:08:41 UTC
Description of problem:
kernel does not recognize my Samsung SPH-A500 as a modem (as it did 
in FC1), instead it identifies it as a "Handspring Visor / Palm OS 
converter".  It then attaches the device to ttyUSB0, ttyUSB1, ttyUSB2 
and ttyUSB3 instead of ttyACM0. If I try to use any of the 
aforementioned ttyUSB* to connect via pppd the driver (visor) reports 
that the "Device lied about number of ports, please use a lower 
one."  and proceeds to disconnect the "Handspring Visor / Palm OS 
converter".  I can't access the PCS phone/modem via ttyACM0, hence I 
cannot go online.

Version-Release number of selected component (if applicable):
kernel 2.6.5-1.358

How reproducible:
Except for the first time I connected the PCS phone/modem after 
upgrading to FC2 it has always done it.  

Steps to Reproduce:
1. Connect the PCS phone/modem to the USB port
2. run dmesg or view /var/log/messages
3.
  
Actual results:
usbcore registers the PCS phone using the visor driver.
Cannot use the PCS phone as a modem.

Expected results:
For usbcore to register the PCS phone using cdc_acm driver and attach 
it to ttyACM*; To be able to use the PCS phone as modem (as I did 
with FC1).

Additional info:
To make sure that neither the phone nor usb cable were not the 
culprits I tested them on a desktop running RH9.  I ran dmesg, saw 
that it was attached to ttyACM0 and was able to connect to the 
Internet (using redhat-config-network).

Comment 1 Daniel 2004-05-22 04:36:28 UTC
Created attachment 100444 [details]
system log (/var/log/messages)

The PCS phone was first attached after the upgrade May 17 22:18:13.  It was the
the only time that it was attached correctly.

Comment 2 Dave Jones 2004-12-07 05:22:36 UTC
any improvement with teh 2.6.9 based update ?


Comment 3 Dave Jones 2005-04-16 05:43:34 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.